%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-telepathy
Version:        0.15.19
Release:        8%{?dist}
Summary:        Python libraries for Telepathy

Group:          Development/Languages
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/telepathy-python/telepathy-python-%{version}.tar.gz
#Upstream git commit 0c4e6e9f41b24bbb7ea33653b8a81ff79c0ea032
Patch0:         python-telepathy-0.15.19-autotools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  dbus-python >= 0.80
BuildRequires:  libxslt

Requires:       dbus-python >= 0.80


%description
Python libraries for use in Telepathy clients and connection managers.


%prep
%setup -q -n telepathy-python-%{version}
%patch0 -p1 -b .autotools


%build
%configure
make
chmod 0644 examples/*


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS examples/
%{python_sitelib}/telepathy/


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.19-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.19-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.19-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 14 2011 Julian Sikorski <belegdol@fedoraproject.org> - 0.15.19-3
- Fixed a build failure using a patch from upstream git

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec  3 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.15.19-1
- Update to 0.15.19.

* Thu Aug  5 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.15.18-1
- Update to 0.15.18.

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.15.17-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Mar 13 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.15.17-1
- Update to 0.15.17.

* Wed Mar 10 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.15.16-1
- Update to 0.15.16.

* Wed Jan 20 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.15.15-1
- Update to 0.15.15.

* Tue Jan 19 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.15.14-1
- Update to 0.15.14.

* Mon Dec 14 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.13-1
- Update to 0.15.13.

* Mon Oct 12 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.12-1
- Update to 0.15.12.
- Modify to use autotools.

* Tue Aug 18 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.11-1
- Update to 0.15.11.

* Fri Aug 14 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.10-1
- Update to 0.15.10.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.8-1
- Update to 0.15.8.
- Add NEWS file to docs.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.7-1
- Update to 0.15.7.

* Wed Jan  7 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.6-1
- Update to 0.15.6.

* Tue Jan  6 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.5-1
- Update to 0.15.5.

* Mon Jan  5 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.15.4-1
- Update to 0.15.4.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.15.3-2
- Rebuild for Python 2.6

* Tue Oct 21 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.15.3-1
- Update to 0.15.3.

* Mon Oct 20 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.15.2-1
- Update to 0.15.2

* Tue Aug 26 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.15.1-1
- Update to 0.15.1.
- Drop examples-README.  Included in upstream now.

* Sun Mar  2 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0.

* Thu Nov 29 2007 Matej Cepl <mcepl@redhat.com> 0.14.0-4
- apparently some part of setup.py decided that everything in examples/
  directory, which doesn't have .py extension should be executable.

* Wed Nov 28 2007 Matěj Cepl <mcepl@redhat.com> 0.14.0-3
- Add examples/README missing from the upstream tarball (examples doesn't
  make much sense without that).
- Fix bloody TABs into spaces so that rpmlint is silent.

* Thu Nov  1 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.14.0-2
- Add examples to docs. (#362161)

* Sat Oct 13 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.13.13-2
- Update license tag.

* Mon Jul  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.13.13-1
- Update to 0.13.13.
- Add minimum ver of dbus-python.

* Mon Jun  4 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.13.12-1
- Update to 0.13.12.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.13.11-1
- Update to 0.13.11.
- Add BR for libxslt.

* Mon Feb 19 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.13.8-1
- Update to 0.13.8.

* Sun Jan  7 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.13.7-4
- Rebuild against the new python should actually work now.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13.7-3
- Rebuild against new python.

* Fri Nov 24 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13.7-2
- Add BR & Requires on dbus-python.

* Fri Nov 24 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13.7-1
- Update to 0.13.7.

* Tue Oct 10 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13.3-1
- Update to 0.13.3.
- Drop connection-manager patch, fixed upstream.

* Mon Oct  2 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13.2-3
- Actually use the name variable for the patch.

* Mon Oct  2 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13.2-2
- Patch for connection manager.

* Sat Sep  2 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13.2-1
- Initial FE spec.

